Index: trunk/NEMO/OPA_SRC/ZDF/zdfric.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 1601)
@@ -5,4 +5,10 @@
    !!                 Richardson number dependent formulation
    !!======================================================================
+   !! History :  OPA  ! 1987-09  (P. Andrich)  Original code
+   !!            4.0  ! 1991-11  (G. Madec)
+   !!            7.0  ! 1996-01  (G. Madec)  complet rewriting of multitasking suppression of common work arrays
+   !!            8.0  ! 1997-06 (G. Madec)  complete rewriting of zdfmix
+   !!   NEMO     1.0  ! 2002-06  (G. Madec)  F90: Free form and module
+   !!----------------------------------------------------------------------
 #if defined key_zdfric   ||   defined key_esopa
    !!----------------------------------------------------------------------
@@ -26,6 +32,6 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_zdfric = .TRUE.   !: Richardson vertical mixing flag
 
-   !                                    !!* Namelist nam_ric : Richardson number dependent Kz *
-   INTEGER  ::   nn_ric  = 2             ! coefficient of the parameterization
+   !                                    !!* Namelist namzdf_ric : Richardson number dependent Kz *
+   INTEGER  ::   nn_ric   = 2            ! coefficient of the parameterization
    REAL(wp) ::   rn_avmri = 100.e-4_wp   ! maximum value of the vertical eddy viscosity
    REAL(wp) ::   rn_alp   =   5._wp      ! coefficient of the parameterization
@@ -47,35 +53,25 @@
       !!                    
       !! ** Purpose :   Compute the before eddy viscosity and diffusivity as
-      !!      a function of the local richardson number.
+      !!              a function of the local richardson number.
       !!
       !! ** Method  :   Local richardson number dependent formulation of the 
-      !!      vertical eddy viscosity and diffusivity coefficients. the eddy
-      !!      coefficients are given by:
-      !!              avm = avm0 + avmb
-      !!              avt = avm0 / (1 + rn_alp*ri)
-      !!      with    ri  = N^2 / dz(u)**2
-      !!                  = e3w**2 * rn2/[ mi( dk(ub) )+mj( dk(vb) ) ]
-      !!              avm0= rn_avmri / (1 + rn_alp*ri)**nn_ric
-      !!      Where ri is the before local Richardson number, rn_avmri the maximum
-      !!      value reaches by the vertical eddy coefficients, avmb and avtb
-      !!      the background (or minimum) values of these coefficients for
-      !!      momemtum and tracers, and rn_alp, nn_ric are adjustable parameters.
-      !!      typical values used are : avm0=1.e-2 m2/s, avmb=1.e-6 m2/s
+      !!              vertical eddy viscosity and diffusivity coefficients. 
+      !!                The eddy coefficients are given by:
+      !!                    avm = avm0 + avmb
+      !!                    avt = avm0 / (1 + rn_alp*ri)
+      !!              with ri  = N^2 / dz(u)**2
+      !!                       = e3w**2 * rn2/[ mi( dk(ub) )+mj( dk(vb) ) ]
+      !!                   avm0= rn_avmri / (1 + rn_alp*ri)**nn_ric
+      !!      Where ri is the before local Richardson number,
+      !!            rn_avmri is the maximum value reaches by avm and avt 
+      !!            avmb and avtb are the background (or minimum) values
+      !!            and rn_alp, nn_ric are adjustable parameters.
+      !!      Typical values used are : avm0=1.e-2 m2/s, avmb=1.e-6 m2/s
       !!      avtb=1.e-7 m2/s, rn_alp=5. and nn_ric=2.
-      !!      this formulation needs ri>=0 : ri is set to zero if dz(rau)<0.
       !!      a numerical threshold is impose on the vertical shear (1.e-20)
       !!        N.B. the mask are required for implicit scheme, and surface
-      !!      and bottom value already set in inimix.F
-      !!
-      !! References :
-      !!      pacanowski & philander 1981, j. phys. oceanogr., 1441-1451.
-      !! History :
-      !!        !  87-09  (P. Andrich)  Original code
-      !!        !  91-11  (G. Madec)
-      !!        !  93-03  (M. Guyon)  symetrical conditions
-      !!        !  96-01  (G. Madec)  complet rewriting of multitasking
-      !!                                  suppression of common work arrays
-      !!        !  97-06 (G. Madec)  complete rewriting of zdfmix
-      !!   8.5  !  02-06  (G. Madec)  F90: Free form and module
+      !!      and bottom value already set in zdfini.F90
+      !!
+      !! References : Pacanowski & Philander 1981, JPO, 1441-1451.
       !!----------------------------------------------------------------------
       INTEGER, INTENT( in ) ::   kt         ! ocean time-step indexocean time step
@@ -93,28 +89,24 @@
          ! Richardson number (put in zwx(ji,jj))
          ! -----------------
-         ! minimum value set to zero
          DO jj = 2, jpjm1
             DO ji = 2, jpim1
                zcoef = 0.5 / fse3w(ji,jj,jk)
-               ! shear of horizontal velocity
+               !                                            ! shear of horizontal velocity
                zdku = zcoef * (  ub(ji-1,jj,jk-1) + ub(ji,jj,jk-1)   &
                   &             -ub(ji-1,jj,jk  ) - ub(ji,jj,jk  )  )
                zdkv = zcoef * (  vb(ji,jj-1,jk-1) + vb(ji,jj,jk-1)   &
                   &             -vb(ji,jj-1,jk  ) - vb(ji,jj,jk  )  )
-               ! richardson number (minimum value set to zero)
+               !                                            ! richardson number (minimum value set to zero)
                zri = rn2(ji,jj,jk) / ( zdku*zdku + zdkv*zdkv + 1.e-20 )
                zwx(ji,jj) = MAX( zri, 0.e0 )
             END DO
          END DO
-
-         ! Boundary condition on zwx   (sign unchanged)
-         CALL lbc_lnk( zwx, 'W', 1. )
+         CALL lbc_lnk( zwx, 'W', 1. )                       ! Boundary condition   (sign unchanged)
 
 
          ! Vertical eddy viscosity and diffusivity coefficients
          ! -------------------------------------------------------
-         ! Eddy viscosity coefficients
          z05alp = 0.5 * rn_alp
-         DO jj = 1, jpjm1
+         DO jj = 1, jpjm1                                   ! Eddy viscosity coefficients (avm)
             DO ji = 1, jpim1
                avmu(ji,jj,jk) = umask(ji,jj,jk)   &
@@ -124,7 +116,5 @@
             END DO
          END DO
-
-         ! Eddy diffusivity coefficients
-         DO jj = 2, jpjm1
+         DO jj = 2, jpjm1                                   ! Eddy diffusivity coefficients (avt)
             DO ji = 2, jpim1
                avt(ji,jj,jk) = tmric(ji,jj,jk) / ( 1. + rn_alp * zwx(ji,jj) )   &
@@ -132,10 +122,5 @@
                   &             + avmv(ji,jj,jk) + avmv( ji ,jj-1,jk)  )     &
                   &          + avtb(jk) * tmask(ji,jj,jk)
-            END DO
-         END DO
-
-         ! Add the background coefficient on eddy viscosity
-         DO jj = 2, jpjm1
-            DO ji = 2, jpim1
+               !                                            ! Add the background coefficient on eddy viscosity
                avmu(ji,jj,jk) = avmu(ji,jj,jk) + avmb(jk) * umask(ji,jj,jk)
                avmv(ji,jj,jk) = avmv(ji,jj,jk) + avmb(jk) * vmask(ji,jj,jk)
@@ -145,11 +130,8 @@
       END DO                                           !   End of slab
       !                                                ! ===============
-
-      ! Boundary conditions on (avt,avmu,avmv)   (unchanged sign)
-      ! -----------------------===============
-      CALL lbc_lnk( avt , 'W', 1. )
-      CALL lbc_lnk( avmu, 'U', 1. )
-      CALL lbc_lnk( avmv, 'V', 1. )
-
+      !
+      CALL lbc_lnk( avt , 'W', 1. )                         ! Boundary conditions   (unchanged sign)
+      CALL lbc_lnk( avmu, 'U', 1. )   ;   CALL lbc_lnk( avmv, 'V', 1. )
+      !
    END SUBROUTINE zdf_ric
 
@@ -162,50 +144,45 @@
       !!      viscosity coef. for the Richardson number dependent formulation.
       !!
-      !! ** Method  :   Read the namric namelist and check the parameter values
-      !!
-      !! ** input   :   Namelist namric
+      !! ** Method  :   Read the namzdf_ric namelist and check the parameter values
+      !!
+      !! ** input   :   Namelist namzdf_ric
       !!
       !! ** Action  :   increase by 1 the nstop flag is setting problem encounter
-      !!
-      !! history :
-      !!  8.5  !  02-06  (G. Madec)  original code
       !!----------------------------------------------------------------------
       INTEGER :: ji, jj, jk        ! dummy loop indices
       !!
-      NAMELIST/nam_ric/ rn_avmri, rn_alp, nn_ric
-      !!----------------------------------------------------------------------
-
-      REWIND ( numnam )               ! Read Namelist nam_ric : richardson number dependent Kz
-      READ   ( numnam, nam_ric )
-
-      IF(lwp) THEN                    ! Control print
+      NAMELIST/namzdf_ric/ rn_avmri, rn_alp, nn_ric
+      !!----------------------------------------------------------------------
+      !
+      REWIND( numnam )               ! Read Namelist namzdf_ric : richardson number dependent Kz
+      READ  ( numnam, namzdf_ric )
+      !
+      IF(lwp) THEN                   ! Control print
          WRITE(numout,*)
          WRITE(numout,*) 'zdf_ric : Ri depend vertical mixing scheme'
          WRITE(numout,*) '~~~~~~~'
-         WRITE(numout,*) '   Namelist namric : set Kz(Ri) parameters'
+         WRITE(numout,*) '   Namelist namzdf_ric : set Kz(Ri) parameters'
          WRITE(numout,*) '      maximum vertical viscosity     rn_avmri = ', rn_avmri
          WRITE(numout,*) '      coefficient                    rn_alp   = ', rn_alp
          WRITE(numout,*) '      coefficient                    nn_ric   = ', nn_ric
       ENDIF
-
-      ! weighting mean array tmric for 4 T-points which accounts for coastal boundary conditions.
-      DO jk = 1, jpk
-         DO jj = 2, jpj
+      !
+      DO jk = 1, jpk                 ! weighting mean array tmric for 4 T-points which accounts for coastal boundary conditions.
+         DO jj = 2, jpj              
             DO ji = 2, jpi
                tmric(ji,jj,jk) =  tmask(ji,jj,jk)                                  &
-                               / MAX( 1.,  umask(ji-1,jj  ,jk) + umask(ji,jj,jk)   &
-                                         + vmask(ji  ,jj-1,jk) + vmask(ji,jj,jk)  )
+                  &            / MAX( 1.,  umask(ji-1,jj  ,jk) + umask(ji,jj,jk)   &
+                  &                      + vmask(ji  ,jj-1,jk) + vmask(ji,jj,jk)  )
             END DO
          END DO
       END DO
       tmric(:,1,:) = 0.e0
-
-      ! Initialization of vertical eddy coef. to the background value
-      DO jk = 1, jpk
+      !
+      DO jk = 1, jpk                 ! Initialization of vertical eddy coef. to the background value
          avt (:,:,jk) = avtb(jk) * tmask(:,:,jk)
          avmu(:,:,jk) = avmb(jk) * umask(:,:,jk)
          avmv(:,:,jk) = avmb(jk) * vmask(:,:,jk)
       END DO
-
+      !
    END SUBROUTINE zdf_ric_init
 
Index: trunk/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 1601)
@@ -63,5 +63,5 @@
 #endif
 
-   !                                       !!! ** Namelist  nam_tke  **
+   !                                       !!! ** Namelist  namzdf_tke  **
    LOGICAL  ::   ln_mxl0  = .FALSE.         ! mixing length scale surface value as function of wind stress or not
    INTEGER  ::   nn_mxl   =  2              ! type of mixing length (=0/1/2/3)
@@ -616,8 +616,8 @@
       !!              viscosity when using a tke turbulent closure scheme
       !!
-      !! ** Method  :   Read the nam_tke namelist and check the parameters
+      !! ** Method  :   Read the namzdf_tke namelist and check the parameters
       !!              called at the first timestep (nit000)
       !!
-      !! ** input   :   Namlist nam_tke
+      !! ** input   :   Namlist namzdf_tke
       !!
       !! ** Action  :   Increase by 1 the nstop flag is setting problem encounter
@@ -625,12 +625,12 @@
       INTEGER ::   ji, jj, jk   ! dummy loop indices
       !!
-      NAMELIST/nam_tke/ rn_ediff, rn_ediss , rn_ebb, rn_emin,   &
-         &              rn_emin0, rn_bshear, nn_mxl, ln_mxl0,   &
-         &              rn_lmin , rn_lmin0 , nn_pdl, nn_etau,   &
-         &              nn_htau , rn_efr   , ln_lc , rn_lc 
-      !!----------------------------------------------------------------------
-
-      REWIND ( numnam )               !* Read Namelist nam_tke : Turbulente Kinetic Energy
-      READ   ( numnam, nam_tke )
+      NAMELIST/namzdf_tke/ rn_ediff, rn_ediss , rn_ebb, rn_emin,   &
+         &                 rn_emin0, rn_bshear, nn_mxl, ln_mxl0,   &
+         &                 rn_lmin , rn_lmin0 , nn_pdl, nn_etau,   &
+         &                 nn_htau , rn_efr   , ln_lc , rn_lc 
+      !!----------------------------------------------------------------------
+
+      REWIND ( numnam )               !* Read Namelist namzdf_tke : Turbulente Kinetic Energy
+      READ   ( numnam, namzdf_tke )
       
       ri_cri = 2. / ( 2. + rn_ediss / rn_ediff )      ! resulting critical Richardson number
@@ -640,23 +640,23 @@
          WRITE(numout,*) 'zdf_tke : tke turbulent closure scheme - initialisation'
          WRITE(numout,*) '~~~~~~~~'
-         WRITE(numout,*) '          Namelist nam_tke : set tke mixing parameters'
-         WRITE(numout,*) '             coef. to compute avt                      rn_ediff = ', rn_ediff
-         WRITE(numout,*) '             Kolmogoroff dissipation coef.             rn_ediss = ', rn_ediss
-         WRITE(numout,*) '             tke surface input coef.                   rn_ebb   = ', rn_ebb
-         WRITE(numout,*) '             minimum value of tke                      rn_emin  = ', rn_emin
-         WRITE(numout,*) '             surface minimum value of tke              rn_emin0 = ', rn_emin0
-         WRITE(numout,*) '             background shear (>0)                     rn_bshear= ', rn_bshear
-         WRITE(numout,*) '             mixing length type                        nn_mxl   = ', nn_mxl
-         WRITE(numout,*) '             prandl number flag                        nn_pdl   = ', nn_pdl
-         WRITE(numout,*) '             surface mixing length = F(stress) or not  ln_mxl0  = ', ln_mxl0
-         WRITE(numout,*) '             surface  mixing length minimum value      rn_lmin0 = ', rn_lmin0
-         WRITE(numout,*) '             interior mixing length minimum value      rn_lmin0 = ', rn_lmin0
-         WRITE(numout,*) '             test param. to add tke induced by wind    nn_etau  = ', nn_etau
-         WRITE(numout,*) '             flag for computation of exp. tke profile  nn_htau  = ', nn_htau
-         WRITE(numout,*) '             % of rn_emin0 which pene. the thermocline rn_efr   = ', rn_efr
-         WRITE(numout,*) '             flag to take into acc.  Langmuir circ.    ln_lc    = ', ln_lc
-         WRITE(numout,*) '             coef to compute verticla velocity of LC   rn_lc    = ', rn_lc
+         WRITE(numout,*) '   Namelist namzdf_tke : set tke mixing parameters'
+         WRITE(numout,*) '      coef. to compute avt                        rn_ediff = ', rn_ediff
+         WRITE(numout,*) '      Kolmogoroff dissipation coef.               rn_ediss = ', rn_ediss
+         WRITE(numout,*) '      tke surface input coef.                     rn_ebb   = ', rn_ebb
+         WRITE(numout,*) '      minimum value of tke                        rn_emin  = ', rn_emin
+         WRITE(numout,*) '      surface minimum value of tke                rn_emin0 = ', rn_emin0
+         WRITE(numout,*) '      background shear (>0)                       rn_bshear= ', rn_bshear
+         WRITE(numout,*) '      mixing length type                          nn_mxl   = ', nn_mxl
+         WRITE(numout,*) '      prandl number flag                          nn_pdl   = ', nn_pdl
+         WRITE(numout,*) '      surface mixing length = F(stress) or not    ln_mxl0  = ', ln_mxl0
+         WRITE(numout,*) '      surface  mixing length minimum value        rn_lmin0 = ', rn_lmin0
+         WRITE(numout,*) '      interior mixing length minimum value        rn_lmin0 = ', rn_lmin0
+         WRITE(numout,*) '      test param. to add tke induced by wind      nn_etau  = ', nn_etau
+         WRITE(numout,*) '      flag for computation of exp. tke profile    nn_htau  = ', nn_htau
+         WRITE(numout,*) '      % of rn_emin0 which pene. the thermocline   rn_efr   = ', rn_efr
+         WRITE(numout,*) '      flag to take into acc.  Langmuir circ.      ln_lc    = ', ln_lc
+         WRITE(numout,*) '      coef to compute verticla velocity of LC     rn_lc    = ', rn_lc
          WRITE(numout,*)
-         WRITE(numout,*) '             critical Richardson nb with your choice of coefs.  = ', ri_cri
+         WRITE(numout,*) '      critical Richardson nb with your parameters  ri_cri = ', ri_cri
       ENDIF
 
@@ -671,5 +671,5 @@
       !                               !* depth of penetration of surface tke
       IF( nn_etau /= 0 ) THEN      
-         SELECT CASE( nn_htau )           ! Choice of the depth of penetration
+         SELECT CASE( nn_htau )             ! Choice of the depth of penetration
          CASE( 0 )                                    ! constant depth penetration (here 10 meters)
             htau(:,:) = 10.e0
@@ -760,10 +760,10 @@
         !                                   ! -------------------
         IF(lwp) WRITE(numout,*) '---- tke-rst ----'
-        CALL iom_rstput( kt, nitrst, numrow, 'en'   , en     )
-        CALL iom_rstput( kt, nitrst, numrow, 'avt'  , avt    )
-        CALL iom_rstput( kt, nitrst, numrow, 'avm'  , avm    )
-        CALL iom_rstput( kt, nitrst, numrow, 'avmu' , avmu   )
-        CALL iom_rstput( kt, nitrst, numrow, 'avmv' , avmv   )
-        CALL iom_rstput( kt, nitrst, numrow, 'dissl', dissl  )
+        CALL iom_rstput( kt, nitrst, numrow, 'en'   , en    )
+        CALL iom_rstput( kt, nitrst, numrow, 'avt'  , avt   )
+        CALL iom_rstput( kt, nitrst, numrow, 'avm'  , avm   )
+        CALL iom_rstput( kt, nitrst, numrow, 'avmu' , avmu  )
+        CALL iom_rstput( kt, nitrst, numrow, 'avmv' , avmv  )
+        CALL iom_rstput( kt, nitrst, numrow, 'dissl', dissl )
         !
      ENDIF
Index: trunk/NEMO/OPA_SRC/ZDF/zdftke_old.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdftke_old.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/ZDF/zdftke_old.F90	(revision 1601)
@@ -65,5 +65,5 @@
 #endif
 
-   !                                       !!! ** Namelist  nam_tke  **
+   !                                       !!! ** Namelist  namzdf_tke  **
    LOGICAL  ::   ln_rstke = .FALSE.         ! =T restart with tke from a run without tke
    LOGICAL  ::   ln_mxl0  = .FALSE.         ! mixing length scale surface value as function of wind stress or not
@@ -710,8 +710,8 @@
       !!      viscosity when using a tke turbulent closure scheme
       !!
-      !! ** Method  :   Read the nam_tke namelist and check the parameters
+      !! ** Method  :   Read the namzdf_tke namelist and check the parameters
       !!      called at the first timestep (nit000)
       !!
-      !! ** input   :   Namlist nam_tke
+      !! ** input   :   Namlist namzdf_tke
       !!
       !! ** Action  :   Increase by 1 the nstop flag is setting problem encounter
@@ -727,14 +727,14 @@
 # endif
       !!
-      NAMELIST/nam_tke/ ln_rstke, rn_ediff, rn_ediss, rn_ebb  , rn_efave, rn_emin,   &
-         &              rn_emin0, rn_cri  , nn_itke , nn_mxl  , nn_pdl  , nn_ave ,   &
-         &              ln_mxl0 , rn_lmin , rn_lmin0, nn_etau,   &
-         &              nn_htau , rn_efr  , ln_lc   , rn_lc 
+      NAMELIST/namzdf_tke/ ln_rstke, rn_ediff, rn_ediss, rn_ebb  , rn_efave, rn_emin,   &
+         &                 rn_emin0, rn_cri  , nn_itke , nn_mxl  , nn_pdl  , nn_ave ,   &
+         &                 ln_mxl0 , rn_lmin , rn_lmin0, nn_etau,   &
+         &                 nn_htau , rn_efr  , ln_lc   , rn_lc 
       !!----------------------------------------------------------------------
 
-      ! Read Namelist nam_tke : Turbulente Kinetic Energy
+      ! Read Namelist namzdf_tke : Turbulente Kinetic Energy
       ! --------------------
       REWIND ( numnam )
-      READ   ( numnam, nam_tke )
+      READ   ( numnam, namzdf_tke )
 
       ! Compute boost associated with the Richardson critic
@@ -752,5 +752,5 @@
          WRITE(numout,*) 'zdf_tke_init : tke turbulent closure scheme (old scheme)'
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '          Namelist nam_tke : set tke mixing parameters'
+         WRITE(numout,*) '          Namelist namzdf_tke : set tke mixing parameters'
          WRITE(numout,*) '             restart with tke from no tke              ln_rstke = ', ln_rstke
          WRITE(numout,*) '             coef. to compute avt                      rn_ediff = ', rn_ediff
Index: trunk/NEMO/OPA_SRC/ZDF/zdftmx.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 1598)
+++ trunk/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 1601)
@@ -31,5 +31,5 @@
    LOGICAL, PUBLIC, PARAMETER ::   lk_zdftmx = .TRUE.    !: tidal mixing flag
 
-   !                                  !!* Namelist  namtmx : tidal mixing *
+   !                                  !!* Namelist  namzdf_tmx : tidal mixing *
    REAL(wp) ::  rn_htmx    = 500.      ! vertical decay scale for turbulence (meters)
    REAL(wp) ::  rn_n2min   = 1.e-8     ! threshold of the Brunt-Vaisala frequency (s-1)
@@ -88,5 +88,5 @@
       !!              Koch-Larrouy et al. 2007, GRL.
       !!----------------------------------------------------------------------
-      USE oce,   zav_tide  =>   ua   ! use ua as workspace
+      USE oce, zav_tide  =>   ua    ! use ua as workspace
       !!
       INTEGER, INTENT(in) ::   kt   ! ocean time-step 
@@ -329,9 +329,9 @@
       REAL(wp), DIMENSION(jpi,jpj,jpk) ::  zpc      ! power consumption
       !!
-      NAMELIST/nam_tmx/ rn_htmx, rn_n2min, rn_tfe, rn_me, ln_tmx_itf, rn_tfe_itf
-      !!----------------------------------------------------------------------
-
-      REWIND ( numnam )              ! Read Namelist namtmx : Tidal Mixing
-      READ   ( numnam, nam_tmx )
+      NAMELIST/namzdf_tmx/ rn_htmx, rn_n2min, rn_tfe, rn_me, ln_tmx_itf, rn_tfe_itf
+      !!----------------------------------------------------------------------
+
+      REWIND( numnam )               ! Read Namelist namtmx : Tidal Mixing
+      READ  ( numnam, namzdf_tmx )
 
       IF(lwp) THEN                   ! Control print
@@ -339,5 +339,5 @@
          WRITE(numout,*) 'zdf_tmx_init : tidal mixing'
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namtmx : set tidal mixing parameters'
+         WRITE(numout,*) '   Namelist namzdf_tmx : set tidal mixing parameters'
          WRITE(numout,*) '      Vertical decay scale for turbulence   = ', rn_htmx 
          WRITE(numout,*) '      Brunt-Vaisala frequency threshold     = ', rn_n2min
